package com.yunfeiyun.agmp.fms.service;

import com.yunfeiyun.agmp.fms.domain.WmsGoods;

/**
 * 货物Service接口
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public interface IWmsGoodsService 
{


    /**
     * 新增货物
     * 
     * @param wmsGoods 货物
     * @return 结果
     */
    public int insertWmsGoods(WmsGoods wmsGoods);

    /**
     * 修改货物
     * 
     * @param wmsGoods 货物
     * @return 结果
     */
    public int updateWmsGoods(WmsGoods wmsGoods);

    /**
     * 批量删除货物
     * 
     * @param goodsIds 需要删除的货物主键集合
     * @return 结果
     */
    public int deleteWmsGoodsByGoodsIds(String[] goodsIds);

    /**
     * 删除货物信息
     * 
     * @param goodsId 货物主键
     * @return 结果
     */
    public int deleteWmsGoodsByGoodsId(String goodsId);
}
